import { WeightMap } from '../distance/weightedMaps';
import type { DictionaryInformation, HunspellCosts, HunspellInformation } from '../models/DictionaryInformation';
import type { SuggestionCostMapDef } from '../models/suggestionCostsDef';
declare type Costs = Required<HunspellCosts>;
export declare function dictionaryInformationToWeightMap(dictInfo: DictionaryInformation): WeightMap;
export declare function hunspellInformationToSuggestionCostDef(hunInfo: HunspellInformation): SuggestionCostMapDef[];
declare function calcCosts(costs?: HunspellCosts): Costs;
declare function affMap(line: string, costs: Costs): SuggestionCostMapDef | undefined;
declare function affTry(line: string, costs: Costs): SuggestionCostMapDef | undefined;
declare function affTryFirstCharacterReplace(line: string, costs: Costs): SuggestionCostMapDef | undefined;
declare function affNoTry(line: string, costs: Costs): SuggestionCostMapDef | undefined;
declare function affRepConv(line: string, costs: Costs): SuggestionCostMapDef | undefined;
declare function affKey(line: string, costs: Costs): SuggestionCostMapDef | undefined;
declare function split(map: string): Iterable<string>;
export declare const __testing__: {
    affKey: typeof affKey;
    affMap: typeof affMap;
    affNoTry: typeof affNoTry;
    affRepConv: typeof affRepConv;
    affTry: typeof affTry;
    affTryFirstCharacterReplace: typeof affTryFirstCharacterReplace;
    split: typeof split;
    calcCosts: typeof calcCosts;
};
export {};
//# sourceMappingURL=mapDictionaryInfoToWeightMap.d.ts.map